[arch-commits] Commit in gnome-power-manager/repos (3 files)

Jan de Groot jgc at archlinux.org
Fri May 8 15:50:26 EDT 2009


    Date: Friday, May 8, 2009 @ 15:50:25
  Author: jgc
Revision: 38499

Merged revisions 38498 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/gnome-power-manager/trunk

........
  r38498 | jgc | 2009-05-08 19:50:09 +0000 (Fri, 08 May 2009) | 2 lines
  
  upgpkg: gnome-power-manager 2.26.1-2
      Fix fatal assertion when gnome-session is not on the dbus (FS#14459)
........

Added:
  gnome-power-manager/repos/extra-x86_64/gpm-fix-nongnome.patch
    (from rev 38498, gnome-power-manager/trunk/gpm-fix-nongnome.patch)
Modified:
  gnome-power-manager/repos/extra-x86_64/	(properties)
  gnome-power-manager/repos/extra-x86_64/PKGBUILD

------------------------+
 PKGBUILD               |    9 ++++++---
 gpm-fix-nongnome.patch |   11 +++++++++++
 2 files changed, 17 insertions(+), 3 deletions(-)


Property changes on: gnome-power-manager/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /gnome-power-manager/trunk:1-36449
   + /gnome-power-manager/trunk:1-38498

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-05-08 19:50:09 UTC (rev 38498)
+++ extra-x86_64/PKGBUILD	2009-05-08 19:50:25 UTC (rev 38499)
@@ -3,7 +3,7 @@
 
 pkgname=gnome-power-manager
 pkgver=2.26.1
-pkgrel=1
+pkgrel=2
 pkgdesc="Session daemon that makes it easy to manage your laptop or desktop system."
 arch=(i686 x86_64)
 url="http://www.gnome.org/projects/gnome-power-manager/"
@@ -14,11 +14,14 @@
 options=(!emptydirs)
 install=gnome-power-manager.install
 groups=(gnome-extra)
-source=(http://ftp.gnome.org/pub/GNOME/sources/gnome-power-manager/2.26/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('8b0130316601c972683797935646982f')
+source=(http://ftp.gnome.org/pub/GNOME/sources/gnome-power-manager/2.26/${pkgname}-${pkgver}.tar.bz2
+	gpm-fix-nongnome.patch)
+md5sums=('8b0130316601c972683797935646982f'
+	 '35c555735374bf61989f9bf485d4eee5')
 
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
+  patch -Np1 -i "${srcdir}/gpm-fix-nongnome.patch" || return 1
   export LDFLAGS="${LDFLAGS} -Wl,--as-needed"
   ./configure --prefix=/usr --sysconfdir=/etc \
               --localstatedir=/var \

Copied: gnome-power-manager/repos/extra-x86_64/gpm-fix-nongnome.patch (from rev 38498, gnome-power-manager/trunk/gpm-fix-nongnome.patch)
===================================================================
--- extra-x86_64/gpm-fix-nongnome.patch	                        (rev 0)
+++ extra-x86_64/gpm-fix-nongnome.patch	2009-05-08 19:50:25 UTC (rev 38499)
@@ -0,0 +1,11 @@
+--- gnome-power-manager-2.26.1/src/gpm-session.c	2009-04-21 12:43:38.000000000 +0200
++++ gnome-power-manager-2.26.1/src/gpm-session.c	2009-05-08 21:45:43.000000000 +0200
+@@ -254,6 +254,8 @@
+ 	DBusGConnection *connection;
+ 
+ 	g_return_val_if_fail (GPM_IS_SESSION (session), FALSE);
++	if (session->priv->proxy == NULL)
++		return FALSE;
+ 
+ 	/* find out if this change altered the inhibited state */
+ 	ret = dbus_g_proxy_call (session->priv->proxy, "RegisterClient", &error,



More information about the arch-commits mailing list